TaskAttemptCompletionEventStatus (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.v2.api.records, enum: TaskAttemptCompletionEventStatus

Package org.apache.hadoop.mapreduce.v2.api.records

# Enum Class TaskAttemptCompletionEventStatus

java.lang.Object
java.lang.Enum<TaskAttemptCompletionEventStatus>
org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptCompletionEventStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<TaskAttemptCompletionEventStatus>`, `Constable`

public enum TaskAttemptCompletionEventStatus extends Enum<TaskAttemptCompletionEventStatus>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FAILED`
  `KILLED`
  `OBSOLETE`
  `SUCCEEDED`
  `TIPFAILED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TaskAttemptCompletionEventStatus`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TaskAttemptCompletionEventStatus[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FAILED

    public static final TaskAttemptCompletionEventStatus FAILED

  - ### KILLED

    public static final TaskAttemptCompletionEventStatus KILLED

  - ### SUCCEEDED

    public static final TaskAttemptCompletionEventStatus SUCCEEDED

  - ### OBSOLETE

    public static final TaskAttemptCompletionEventStatus OBSOLETE

  - ### TIPFAILED

    public static final TaskAttemptCompletionEventStatus TIPFAILED

- ## Method Details

  - ### values

    public static TaskAttemptCompletionEventStatus[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TaskAttemptCompletionEventStatus valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null